> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aegister.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ottieni branding dell'organizzazione

> Recupera le impostazioni di branding di un'organizzazione.
Restituisce l'oggetto branding da organization.data, oppure i valori predefiniti se nessun branding è stato configurato.



## OpenAPI

````yaml get /api/v1/organizations/{id}/branding
openapi: 3.1.0
info:
  title: Aegister API
  version: 1.0.5
servers: []
security: []
paths:
  /api/v1/organizations/{id}/branding:
    get:
      tags:
        - organizations
      summary: Get organization branding
      description: |-
        Retrieve branding settings for an organization.

        Returns the branding object from organization.data, or default values
        if no branding has been configured.
      operationId: organizations_branding_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                  messages:
                    type: array
                    items:
                      type: string
                  data:
                    type: object
                    properties:
                      palette:
                        type: string
                        enum:
                          - blue
                          - purple
                          - teal
                          - green
                          - orange
                          - red
                          - indigo
                          - pink
                          - slate
                          - custom
                      custom_colors:
                        type: object
                        properties:
                          primary:
                            type: string
                          primary_hover:
                            type: string
                          primary_dark:
                            type: string
          description: Organization branding data
        '401':
          description: Unauthorized
        '404':
          description: Organization not found
      security:
        - ApiKeyAuth: []
        - ApiKeyQueryParam: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Aegister-Token
    ApiKeyQueryParam:
      type: apiKey
      in: query
      name: X-Aegister-Token

````